Summary: CIPE - encrypted IP over UDP tunneling
Name: cipe
Version: 1.6.0
Release: 1.centOS4
Copyright: GPL
Group: System Environment/Daemons
Source: http://sites.inka.de/bigred/sw/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root
Patch0: cipe-no-rsa-keygen.patch

%description
CIPE (the name is shortened from *Crypto IP Encapsulation*) is a
package for an encrypting IP tunnel device. This can be used to build
encrypting routers for VPN (Virtual Private Networks) and similar
applications.

requires: kernel-devel
requires: openssl-devel
requires: texinfo

%prep
%setup -q
%patch0 -p1
%define kversion `uname -r`
%define machine `uname -m`
./configure --prefix=/usr --enable-cryptoapi --with-linux=/usr/src/kernels/%{kversion}-%{machine}

%build
make

%install
rm -rf $RPM_BUILD_ROOT

make install BINDIR=$RPM_BUILD_ROOT/usr/sbin INFODIR=$RPM_BUILD_ROOT/usr/info \
     MODDIR=$RPM_BUILD_ROOT/lib/modules/%{kversion}/misc \
     sbindir=$RPM_BUILD_ROOT/usr/sbin bindir=$RPM_BUILD_ROOT/usr/bin
gzip $RPM_BUILD_ROOT/usr/info/cipe.info

%post
depmod -a
install-info --info-file=/usr/info/cipe.info.gz \
	     --dir-file=/usr/info/dir \
             --item="* cipe: (cipe)cipe.        CIPE - encrypted IP over UDP tunneling"
echo "Please run 'rsa-keygen /etc/cipe/identity' to create your identity file"


%preun
install-info --delete \
	     --info-file=/usr/info/cipe.info.gz \
	     --dir-file=/usr/info/dir \
             --item="* cipe: (cipe)cipe.        CIPE - encrypted IP over UDP tunneling"

%postun
depmod -a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING CHANGES README README.key-bug tcpdump.patch samples
/usr/info/cipe.info.gz
/usr/sbin/ciped-c
/usr/sbin/pkcipe
/usr/bin/rsa-keygen
/lib/modules/*/misc/cipc.ko

%changelog
* Sat Dec 16 2000 Olaf Titz <olaf@bigred.inka.de>
- integrated pkcipe

* Fri Jul 21 2000 Mirko Zeibig <mz@webideal.de>
- created spec-file
